Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88353 - network rc.d script should look harder for devices to start
Summary: network rc.d script should look harder for devices to start
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 11:18 UTC by Michael Young
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-23 16:17:39 UTC


Attachments (Terms of Use)

Description Michael Young 2003-04-09 11:18:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1) Gecko/20020921
Netscape/7.0

Description of problem:
The network script in /etc/rc.d/init.d gets the list of devices to try to start
from /etc/sysconfig/network-scripts. However the ifup script that actually
starts the device looks in other places first (as in bug 82246 ). This means
that for every device you want started automatically, there has to be a file
such as ifcfg-eth0 in /etc/sysconfig/network-scripts even if this file isn't
actually used to configure the device, which at the least is highly confusing
behaviour.
What should happen is that the network script should look for interfaces in the
same places as ifup, and in the same order.

Comment 1 Bill Nottingham 2003-06-23 16:17:39 UTC
Actually, the excessive searching in ifup was removed, so they match again now.


Note You need to log in before you can comment on or make changes to this bug.